KeepValue (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.datatypes

## Class KeepValue

- java.lang.Object
- - org.apache.fop.datatypes.KeepValue

-     public class KeepValue
      extends Object

  Keep Value Stores the different types of keeps in a single convenient format.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEEP_WITH_ALWAYS` constant for keep-with-always
    `static String` | `KEEP_WITH_AUTO` constant for automatic keep-with computation
    `static String` | `KEEP_WITH_VALUE` constant for a user-settable keep-with value (??)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeepValue(String type, int val)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getType()`
    `int` | `getValue()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### KEEP_WITH_ALWAYS

          public static final String KEEP_WITH_ALWAYS

      constant for keep-with-always
      See Also:
        Constant Field Values

    - #### KEEP_WITH_AUTO

          public static final String KEEP_WITH_AUTO

      constant for automatic keep-with computation
      See Also:
        Constant Field Values

    - #### KEEP_WITH_VALUE

          public static final String KEEP_WITH_VALUE

      constant for a user-settable keep-with value (??)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeepValue

          public KeepValue(String type,
                           int val)

      Constructor
      Parameters:
        `type` - one of "KEEP_WITH_ALWAYS", "KEEP_WITH_AUTO", or "KEEP_WITH_VALUE"
        `val` - keep-with value to use (used only by KEEP_WITH_VALUE ??).

  - ### Method Detail

    - #### getValue

          public int getValue()

      Returns:
        the keep-with value

    - #### getType

          public String getType()

      Returns:
        the descriptive type

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      Returns:
        string representation of this

Copyright © 2025 Apache Software Foundation. All rights reserved.